Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Class ColorBlitter

    java.lang.Object
      ij.process.ColorBlitter

All Implemented Interfaces:
  Blitter

public class ColorBlitter
extends java.lang.Object
implements Blitter

This class does bit blitting of RGB images.

Field Summary

Fields inherited from interface ij.process.Blitter
`ADD, AND, AVERAGE, COPY, COPY_INVERTED, COPY_TRANSPARENT, DIFFERENCE, DIVIDE, MAX, MIN, MULTIPLY, OR, SUBTRACT, XOR`

Constructor Summary
`ColorBlitter(ColorProcessor ip)` Constructs a ColorBlitter from a ColorProcessor.

Method Summary
`void` | `copyBits(ImageProcessor ip, int xloc, int yloc, int mode)` Copies the RGB image in 'ip' to (x,y) using the specified mode.
`void` | `setTransparentColor(java.awt.Color c)` Sets the transparent color used in the COPY_TRANSPARENT mode (default is Color.white).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorBlitter

    public ColorBlitter(ColorProcessor ip)

  Constructs a ColorBlitter from a ColorProcessor.

Method Detail

### setTransparentColor

    public void setTransparentColor(java.awt.Color c)

  Description copied from interface: `Blitter`
  Sets the transparent color used in the COPY_TRANSPARENT mode (default is Color.white).

  Specified by:
    `setTransparentColor` in interface `Blitter`

### copyBits

    public void copyBits(ImageProcessor ip,
                         int xloc,
                         int yloc,
                         int mode)

  Copies the RGB image in 'ip' to (x,y) using the specified mode.

  Specified by:
    `copyBits` in interface `Blitter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD